<?php
namespace OrganizationsManagement\Factory;
use Teknisa\Model\Geral\Entities\Filial as EntidadeFilial;
use Teknisa\Model\Geral\Entities\Filioper as EntidadeFiliOper;

class Filial {
    public function __construct(){}

    public function cria(
        $cdfilial, $nmfilial, $cdempresa, $nrorg, $idativo,
        $cdinscmuni, $cdinscesta, $nrinsjurfili, $idendemisfil, $idendcfopfil,
        $idutfilipadr, $idcomparqxmlfil, $idcntrresc, $idconsorcfil, $idcalcomestorc,
        $dtinclusao, $cdoperinclusao, $nrorginclusao, $idcumupiscofil
    )
    {
        $e = new EntidadeFilial();

        $e->setCdfilial($cdfilial);
        $e->setNmfilial($nmfilial);
        $e->setCdempresa($cdempresa);
        $e->setNrorg($nrorg);
        $e->setIdativo($idativo);
        $e->setCdinscmuni($cdinscmuni);
        $e->setCdinscesta($cdinscesta);
        $e->setNrinsjurfili($nrinsjurfili);
        $e->setIdendemisfil($idendemisfil);
        $e->setIdendcfopfil($idendcfopfil);
        $e->setIdutfilipadr($idutfilipadr);
        $e->setIdcomparqxmlfil($idcomparqxmlfil);
        $e->setIdcntrresc($idcntrresc);
        $e->setIdconsorcfil($idconsorcfil);
        $e->setIdcalcomestorc($idcalcomestorc);
        $e->setIdcumupiscofil($idcumupiscofil);

        $e->setDtinclusao($dtinclusao);
        $e->setCdoperinclusao($cdoperinclusao);
        $e->setNrorginclusao($nrorginclusao);

        return $e;
    }

    public function criaFilioper($cdoperador, $cdfilial, $nrorg, $dtinclusao, $cdoperinclusao, $nrorginclusao) {
        $e = new EntidadeFiliOper();

        $e->setCdoperador($cdoperador);
        $e->setCdfilial($cdfilial);
        $e->setNrorgfilial($nrorg);
        $e->setNrorg($nrorg);
        $e->setDtultatufope($dtinclusao);

        $e->setDtinclusao($dtinclusao);
        $e->setCdoperinclusao($cdoperinclusao);
        $e->setNrorginclusao($nrorginclusao);

        return $e;
    }
}
